<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('schedules', function (Blueprint $table) {
            $table->text('cancel_text')->nullable()->after('offers_meal');
            $table->string('cancelled_by')->nullable()->after('cancel_text');
        });
    }

    public function down(): void
    {
        Schema::table('schedules', function (Blueprint $table) {
            $table->dropColumn('cancel_text');
            $table->dropColumn('cancelled_by');
        });
    }
};
